; Studio Tecnico Arch. Giuseppe Conte  
; via Roma, 28
; 72026 - San Pancrazio Salentino (BR) - Italy
;
; Plugin  : move-layer.scm
; Author  : Arch. Giuseppe Conte 
; Date    : 24 novembre 2003 - San Pancrazio Salentino
; Revision: 03 luglio 2004
;						16 marzo 2008 update to TinyScheme
; Version : 2.4
; Last version at: http://xoomer.virgilio.it/lwcon/gimp/script-fu/move-layer.htm
; Help guide at  : http://xoomer.virgilio.it/lwcon/gimp/script-fu/move-layer.htm
;
; Description: 
;  Dialog box for the gimp-layer-translate procedure.
; 
; -----------------------------------------------------------------------------
;
; License:
; This program is free software; you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation; either version 2 of the License, or
; (at your option) any later version.
; 
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
; 
; You should have received a copy of the GNU General Public License
; along with this program; if not, write to the Free Software
; Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
; -----------------------------------------------------------------------------
;
; Define the function:


(define (script-fu-move-layer image layer offsetx offsety)
	(let* ( (activelayer)
					
				)
 	(set! activelayer (car (gimp-image-get-active-layer image)))
 
    	(gimp-layer-translate activelayer offsetx offsety)
    	
    	(gimp-displays-flush)

    );let
)


(script-fu-register "script-fu-move-layer"
		    "<Image>/_ATG/_Modify/Move _layer"
		    "Dialog box for the gimp-layer-translate procedure. Move the active layer from the current position by the amount specified in the x and y offset, these can be negative or positive"
		    "Arch. Giuseppe Conte"
		    "2008, Giuseppe Conte"
		    "16 marzo 2008 - Ver. 2.4"
		    ""
		    SF-IMAGE "Image" 0
		    SF-DRAWABLE "Drawable" 0
 		    SF-ADJUSTMENT "Offset x" '(0 -9999 9999 1 10 0 1)		    
 		    SF-ADJUSTMENT "Offset y" '(0 -9999 9999 1 10 0 1)
		    )

























